Package net.shibboleth.idp.authn

# Class TemplateSearchDnResolver

java.lang.Object
org.ldaptive.AbstractFreezable
org.ldaptive.AbstractOperationFactory<SearchRequest,SearchResponse>
org.ldaptive.AbstractSearchOperationFactory
org.ldaptive.auth.SearchDnResolver
net.shibboleth.idp.authn.AbstractTemplateSearchDnResolver
net.shibboleth.idp.authn.TemplateSearchDnResolver

All Implemented Interfaces:
  `DnResolver`, `ConnectionFactoryManager`, `Freezable`

public class TemplateSearchDnResolver extends AbstractTemplateSearchDnResolver implements ConnectionFactoryManager
`Template`-based search dn resolver.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.idp.authn.AbstractTemplateSearchDnResolver

`AbstractTemplateSearchDnResolver.EscapingReferenceInsertionEventHandler`

## Nested classes/interfaces inherited from class org.ldaptive.auth.SearchDnResolver

`SearchDnResolver.Builder`

## Field Summary

### Fields inherited from class org.ldaptive.AbstractOperationFactory

`logger`

## Constructor Summary

Constructors
Constructor
Description
`TemplateSearchDnResolver(org.apache.velocity.app.VelocityEngine engine, String filter)`
Creates a new template search DN resolver.
`TemplateSearchDnResolver(ConnectionFactory cf, org.apache.velocity.app.VelocityEngine engine, String filter)`
Creates a new template search DN resolver.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class net.shibboleth.idp.authn.AbstractTemplateSearchDnResolver

`createFilterTemplate, getTemplate`

### Methods inherited from class org.ldaptive.auth.SearchDnResolver

`builder, createSearchRequest, getAllowMultipleDns, getBaseDn, getDerefAliases, getResolveFromAttribute, getSubtreeSearch, getUserFilter, getUserFilterParameters, performLdapSearch, performResolveFromAttribute, resolve, resolveDn, setAllowMultipleDns, setBaseDn, setDerefAliases, setResolveFromAttribute, setSubtreeSearch, setUserFilter, setUserFilterParameters`

### Methods inherited from class org.ldaptive.AbstractSearchOperationFactory

`createSearchOperation, createSearchOperation, freeze, getEntryHandlers, getReferenceHandlers, getSearchResultHandlers, setEntryHandlers, setReferenceHandlers, setSearchResultHandlers`

### Methods inherited from class org.ldaptive.AbstractOperationFactory

`getConnectionFactory, getControlHandlers, getExceptionHandler, getIntermediateResponseHandlers, getReferralHandlers, getRequestHandlers, getResultHandlers, getThrowCondition, getUnsolicitedNotificationHandlers, initializeOperation, setConnectionFactory, setControlHandlers, setExceptionHandler, setIntermediateResponseHandlers, setReferralHandlers, setRequestHandlers, setResultHandlers, setThrowCondition, setUnsolicitedNotificationHandlers`

### Methods inherited from class org.ldaptive.AbstractFreezable

`assertMutable, freeze, freeze, isFrozen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.ldaptive.ConnectionFactoryManager

`getConnectionFactory, setConnectionFactory`

## Constructor Details

### TemplateSearchDnResolver

public TemplateSearchDnResolver(@Nonnull org.apache.velocity.app.VelocityEngine engine, @Nonnull @NotEmpty String filter) throws org.apache.velocity.exception.VelocityException
Creates a new template search DN resolver.

Parameters:
  `engine` - velocity engine
  `filter` - filter template
Throws:
  `org.apache.velocity.exception.VelocityException` - if velocity is not configured properly or the filter template is invalid

### TemplateSearchDnResolver

public TemplateSearchDnResolver(@Nonnull ConnectionFactory cf, @Nonnull org.apache.velocity.app.VelocityEngine engine, @Nonnull @NotEmpty String filter) throws org.apache.velocity.exception.VelocityException
Creates a new template search DN resolver.

Parameters:
  `cf` - connection factory
  `engine` - velocity engine
  `filter` - filter template
Throws:
  `org.apache.velocity.exception.VelocityException` - if velocity is not configured properly or the filter template is invalid

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `SearchDnResolver`